.TH autojuke 8 "(c) 1997-2001 Gerd Knorr"
.SH NAME
autojuke - a tool to access jukeboxes with autofs
.SH SYNOPSIS
/usr/sbin/automount /jukebox program /usr/sbin/autojuke
.SH DESCRIPTION
.B autojuke
is a "program map" (in autofs speak).  You have to create a config
file (/etc/autojuke.conf) for it first (or copy & edit the sample
file), see below for a description of the syntax.
.P
After starting autofs you should be able to change & mount media just
by accessing /jukebox/<slot-nr> or by accessing
/jukebox/<volume-tag>. Error messages show up in the syslog
(/var/log/messages).
.SH CONFIG FILE
Syntax is very simple: The config file has just some "variable = value"
lines.  These are the variables:
.TP
.B try_umount=0|1
It is possible to signal the automound daemon (with SIGUSR1) it should
umount idle devices.  If you set this to 1, autojuke will try this if
there is no idle drive.  You probably want to use either this feature
or a short timeout value for automount.
.TP
.B mopts=...
Specify mount options (fs type for example), autojuke passes them to
the automount daemon.  Check out the automount manpage for details.
.TP
.B dev=special file
specifies the special file(s) (/dev/something) of the data transfer
elements.  There must be exactly one line per data transfer element.
autojuke uses this to look for idle drives (using /etc/mtab) and to
tell automount which device it should mount. Order is important, the
first line should address "d0", etc...
.SH NOTES
Volume tags work only if the changer supports them.
Double-sided media is not supported (yet).
.P
For CD-ROM's it is faster and cheaper these days if you copy images to
a big hard disk and mount the images using the loop device.  This also
allows easy parallel access to different CD's at the same time.
.SH AUTHOR
Gerd Knorr <kraxel@bytesex.org>
.SH COPYRIGHT
Copyright (C) 2000 Gerd Knorr <kraxel@bytesex.org>
.P
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.P
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.P
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
