.TH mover 1 "(c) 1997-2002 Gerd Knorr"
.SH NAME
mover - utility to control scsi media changers
.SH SYNOPSIS
.B mover [ command ]
.SH DESCRIPTION
.B mover
is a command line utility for talking to the scsi media changer
driver.
.P
If you start it without any arguments, it will print the status bits
and volume tags (if available) for each changer slot.  The status bits
are:
.TP
.B full
set if the element holds a media
.TP
.B access
set if the changer can or is allowed to access the element. If this
bit is not set for the data transfer element, you'll probably have to
use eject the media first.
.TP
.B except
exception - something went really wrong.
.TP
.B inenab
set if the element can import media
.TP
.B exenab
set if the element can export media
.TP
.B impexp
set if the media in the element has been inserted from outside
.P
The last three are used for import/export elements only.
.SH COMMANDS
.TP
.B mover mv <src> <dest> [<rotate>]
This command moves the media from element <src> to element <dest>.
<rotate> can be 0 (default if not specified) or 1.  If it is set to 1,
the media will be rotated.  That's important for double-sided media
(some MO changers for example).
.br
<src> and <dest> are a letter/number combination. The letter is the
element type (t,s,e or d) and the number is the number of the element,
numbering start with zero. "s4" is slot #5, "d0" the read/write
device, ...  Hope you get the idea.
.TP
.B mover ex <src> <dest1> <dest2> [<rotate>]
This command moves media1 from <src> to <dest1>, and media2 from
<dest1> to <dest2>. The scsi standard allows <src> and <dest2> to
address the same element (i.e. exchange <src> and <dest1>).  <rotate>
can have the values 0, 1, 2 and 3 here.  "1" will rotate media1, "2"
will rotate media2, "3" will rotate both.
.br
The exchange command is optional for SCSI changer devices, so this
might not work if the hardware does not support it.
.TP
.B mover pos <elem> [rotate]
This positions the transport arm in front of element <elem>.  This
command is optional too.
.TP
.B mover load <nr>
Move media from storage element <nr> into the first device.  This is
just a easy-to-remember shortcut for "mover mv s<nr> d0".
.TP
.B mover unload [<nr>]
Reverse of load, i.e. it moves the media from the first drive to the
storage slot <nr>.  The <nr> argument is optional, if it is missing
the media will be moved back to the slot where it was taken from.
This depends on a optional feature too, therefore the command might
not work without the slot number.
.TP
.B mover info <elem> 
prints detailed status informations about a element. 
.TP
.B mover init
initialize element status (usually makes the changer scan all
elements, may take some time).
.TP
.B mover settag <elem> [ pri | alt ] <tag>
set primary / alternate volume tag for <elem> to <tag>.
.TP
.B mover cleartag <elem> [ pri | alt ] <side>
clear primary / alternate volume tag for <elem>.
.SH SEE ALSO
xmover(1)
.SH AUTHOR
Gerd Knorr <kraxel@bytesex.org>
.SH COPYRIGHT
Copyright (C) 1997-2002 Gerd Knorr <kraxel@bytesex.org>
.P
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.P
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.P
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
